﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="NavigationHistory._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>

    <script type="text/javascript">
        var OLmap;
        function SelectByRectangle() {
            var NavHistory = OLmap.getControlsByClass("OpenLayers.Control.NavigationHistory");

            $get("previousStack").value = Sys.Serialization.JavaScriptSerializer.serialize(NavHistory[0].previousStack);
            $get("nextStack").value = Sys.Serialization.JavaScriptSerializer.serialize(NavHistory[0].nextStack);

            Map1.SetDrawMode('Rectangle');
            return false;
        }
        
        function zoomNext() {
            Map1.ZoomToNextExtent();
            return false;
        }
        function zoomPrev() {
            Map1.ZoomToPreviousExtent();
            return false;
        }

        var OnMapCreated = function(map) {
            OLmap = map;
            var NavHistory = OLmap.getControlsByClass("OpenLayers.Control.NavigationHistory");
            if ($get("previousStack").value != "") {
                var arrayPreviousStack = [];
                previousStack = Sys.Serialization.JavaScriptSerializer.deserialize($get("previousStack").value);
                for (var i in previousStack) {
                    var center = new OpenLayers.LonLat(previousStack[i].center.lon, previousStack[i].center.lat);
                    arrayPreviousStack.push({ center: center, resolution: previousStack[i].resolution });
                }
                NavHistory[0].previousStack = arrayPreviousStack;
            }
            if ($get("nextStack").value != "") {
                var arrayNextStack = [];
                nextStack = Sys.Serialization.JavaScriptSerializer.deserialize($get("nextStack").value);
                for (var i in nextStack) {
                    var center = new OpenLayers.LonLat(nextStack[i].center.lon, nextStack[i].center.lat);
                    arrayNextStack.push({ center: center, resolution: nextStack[i].resolution });
                }
                NavHistory[0].nextStack = arrayNextStack;
            }
        }
        
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <input type="hidden" id="previousStack" runat="server" />
    <input type="hidden" id="nextStack" runat="server" />
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:Button ID="btnToPreviouse" runat="server" Width="220" Text="To Previous Extent"
        OnClientClick="Map1.ZoomToPreviousExtent();return false;" />
    <asp:Button ID="btnToNext" runat="server" Width="220" Text="To Next Extent" OnClientClick="Map1.ZoomToNextExtent();return false;" />
    <input type="button" value="select by rectangle" onclick="SelectByRectangle();" />
    <cc1:Map ID="Map1" runat="server" Width="640" Height="480">
    </cc1:Map>
    </form>
</body>
</html>
